Opened 11 years ago

Closed 11 years ago

Last modified 10 years ago

#4481 closed Bug report (rejected)

when connected no directory listing is possible

Reported by: SamS Owned by:
Priority: normal Component: FileZilla Client
Keywords: directory listing Cc:
Component version: Operating system type: Windows
Operating system version: Vista 32 bit Client W2003R2 x64 Server

Description

filezilla client: 3.2.4.1

Status: Benutze Proxy cache1.xxxxxxxxx
Status: Auflösen der IP-Adresse für cache1.xxxxxxxxx
Status: Verbinde mit xxxxxxxxxxxxxxx:21...
Status: Verbindung hergestellt, warte auf Willkommensnachricht...
Antwort: 220 XXX FTP Proxy Service
Befehl: USER swschis@xxxxxxxxxxxxxxx
Antwort: 331 Password required for swschis
Befehl: PASS *
Antwort: 230 Logged on
Befehl: SYST
Antwort: 215 UNIX emulated by FileZilla
Befehl: FEAT
Antwort: 211-Features:
Antwort: MDTM
Antwort: REST STREAM
Antwort: SIZE
Antwort: MODE Z
Antwort: MLST type*;size*;modify*;
Antwort: MLSD
Antwort: UTF8
Antwort: CLNT
Antwort: MFMT
Antwort: 211 End
Status: Verbunden
Status: Empfange Verzeichnisinhalt...
Befehl: PWD
Antwort: 257 "/" is current directory.
Befehl: TYPE I
Antwort: 200 Command okay.
Befehl: PASV
Antwort: 227 Entering Passive Mode (10,126,101,11,43,215)
Befehl: MLSD
Antwort: 503 Bad sequence of commands.
Fehler: Verzeichnisinhalt konnte nicht empfangen werden
Status: Empfange Verzeichnisinhalt...
Befehl: CDUP
Antwort: 250 CDUP command successful.
Befehl: PWD
Antwort: 257 "/" is current directory.
Befehl: PASV
Antwort: 227 Entering Passive Mode (10,126,101,11,140,0)
Befehl: MLSD
Antwort: 503 Bad sequence of commands.
Fehler: Verzeichnisinhalt konnte nicht empfangen werden

downgraded to version 3.2.1 it reads like this and is working proberly:

Status: Benutze Proxy cache1.xxxxxxxxx
Status: Auflösen der IP-Adresse für cache1.xxxxxxx
Status: Verbinde mit xxxxxxxxxxxxx:21...
Status: Verbindung hergestellt, warte auf Willkommensnachricht...
Antwort: 220 XXX FTP Proxy Service
Befehl: USER swschis@xxxxxxxxxxxxxxxxxx
Antwort: 331 Password required for swschis
Befehl: PASS *
Antwort: 230 Logged on
Befehl: SYST
Antwort: 215 UNIX emulated by FileZilla
Befehl: FEAT
Antwort: 211-Features:
Antwort: MDTM
Antwort: REST STREAM
Antwort: SIZE
Antwort: MODE Z
Antwort: MLST type*;size*;modify*;
Antwort: MLSD
Antwort: UTF8
Antwort: CLNT
Antwort: MFMT
Antwort: 211 End
Status: Verbunden
Status: Empfange Verzeichnisinhalt...
Befehl: PWD
Antwort: 257 "/" is current directory.
Befehl: TYPE I
Antwort: 200 Command okay.
Befehl: PASV
Antwort: 227 Entering Passive Mode (10,126,101,11,214,220)
Befehl: LIST
Antwort: 150 File status okay; about to open data connection.
Auflistung: -rw-r--r-- 1 ftp ftp 1222656 Feb 18 2009 7z465-x64.msi
Auflistung: -rwxr-xr-x 1 ftp ftp 939956 Feb 18 2009 7z465.exe
Auflistung: drwxr-xr-x 1 ftp ftp 0 Apr 14 16:30 BO-XI-Transfer
Auflistung: drwxr-xr-x 1 ftp ftp 0 Dec 18 2008 EasyTransferDaemon
Auflistung: drwxr-xr-x 1 ftp ftp 0 Feb 20 2009 easy_data
Auflistung: drwxr-xr-x 1 ftp ftp 0 Mar 27 2009 Easy_Neue_Version
Auflistung: drwxr-xr-x 1 ftp ftp 0 May 05 07:12 EXPORT
Auflistung: drwxr-xr-x 1 ftp ftp 0 Mar 03 2009 htdocs
Auflistung: drwxr-xr-x 1 ftp ftp 0 May 04 07:57 Parameter_PeriodicJobs
Auflistung: drwxr-xr-x 1 ftp ftp 0 Jan 23 2009 PDF-Datenrettung
Auflistung: -rw-r--r-- 1 ftp ftp 18405197 Dec 18 2008 preprod.7z
Auflistung: drwxr-xr-x 1 ftp ftp 0 Dec 18 2008 preprod_Aus_xxxxxxxx
Auflistung: -rw-r--r-- 1 ftp ftp 3015 Apr 01 10:46 xxxxxxxxxxxxxxxxxxxxxxx2009-04-01_10-46-35.238.xml
Auflistung: -rwxr-xr-x 1 ftp ftp 12337752 Dec 18 2008 rktools.exe
Auflistung: drwxr-xr-x 1 ftp ftp 0 Mar 03 2009 RMS_Standalone_Job_1
Auflistung: -rwxr-xr-x 1 ftp ftp 79872 Apr 18 2003 robocopy.exe
Auflistung: -rw-r--r-- 1 ftp ftp 75 Dec 18 2008 RoboCopyPDF_Rettung.cmd
Auflistung: drwxr-xr-x 1 ftp ftp 0 Apr 01 11:11 transfer
Antwort: 226 Transfer complete, closing data connection.
Status: Berechne Zeitzonenabweichung des Servers...
Befehl: MDTM xxxxxxxxxxxxxxxxxxxxx2009-04-01_10-46-35.238.xml
Antwort: 213 20090401084635
Status: Zeitzonenabweichungen: Server: 7200 Sekunden. Lokal: 7200 Sekunden. Differenz: 0 Sekunden.
Status: Anzeigen des Verzeichnisinhalts abgeschlossen

Change History (5)

comment:1 Changed 11 years ago by SamS

Priority: criticalnormal

comment:2 Changed 11 years ago by Tim Kosse

Resolution: rejected
Status: newclosed

Your proxy server is broken. It doesn't filter out features it doesn't support from the FEAT response.

Please contact the proxy administrator so that he can upgrade to a proper proxy.

comment:3 in reply to:  2 Changed 11 years ago by SamS

Replying to codesquid:

Your proxy server is broken. It doesn't filter out features it doesn't support from the FEAT response.

Please contact the proxy administrator so that he can upgrade to a proper proxy.

would you be so nice to explain this to me. i can work with the older version of the filezilla client, the answer to the "FEAT" seams identical to me.

comment:4 Changed 11 years ago by Tim Kosse

Old version uses LIST, new one uses MLSD.

Your proxy doesn't support MLSD, yet it still keeps MLSD (and the related MLST) in the FEAT reply.

comment:5 Changed 11 years ago by SamS

Thank you for your time and the answer, i'll tell the proxy folks about this. Hope you are not bothered.

Note: See TracTickets for help on using tickets.